Insights
Get an insight
Retrieves the specified insight report and its results.
Headerparameter
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Abfrageparameter
includeCoordinates
boolean
Whether to include coordinates for visualization in the response. Defaults to false.
api-version
string
Erforderlich
The API version to use for this operation.
Pfadparameter
id
string
Erforderlich
The unique identifier for the insights report.
Antworten
The request has succeeded.
Text
id
string
Erforderlich
The unique identifier for the insights report.
metadata
InsightsMetadata
Erforderlich
Metadata about the insights.
createdAt
string
Erforderlich
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
Erforderlich
Enum describing allowed operation states.
enum
displayName
string
Erforderlich
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
Erforderlich
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
Erforderlich
The type of insights request.
evalId
string
Erforderlich
Evaluation Id for the insights.
runIds
string[]
Erforderlich
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
Erforderlich
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
Erforderlich
The type of request.
agentName
string
Erforderlich
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
Erforderlich
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
Erforderlich
The type of request.
evalId
string
Erforderlich
Identifier for the evaluation.
baselineRunId
string
Erforderlich
The baseline run ID for comparison.
treatmentRunIds
string[]
Erforderlich
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
Erforderlich
The type of insights result.
comparisons
EvalRunResultComparison[]
Erforderlich
Comparison results for each treatment run against the baseline.
method
string
Erforderlich
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
Erforderlich
The type of insights result.
clusterInsight
ClusterInsightResult
Erforderlich
Insights from the cluster analysis.
summary
InsightSummary
Erforderlich
Summary of the error cluster analysis.
sampleCount
integer
Erforderlich
Total number of samples analyzed.
uniqueSubclusterCount
integer
Erforderlich
Total number of unique subcluster labels.
uniqueClusterCount
integer
Erforderlich
Total number of unique clusters.
method
string
Erforderlich
Method used for clustering.
usage
ClusterTokenUsage
Erforderlich
Token usage for cluster analysis
inputTokenUsage
integer
Erforderlich
input token usage
outputTokenUsage
integer
Erforderlich
output token usage
totalTokenUsage
integer
Erforderlich
total token usage
clusters
InsightCluster[]
Erforderlich
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
Erforderlich
X-axis coordinate.
y
integer
Erforderlich
Y-axis coordinate.
size
integer
Erforderlich
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
Erforderlich
The type of insights result.
clusterInsight
ClusterInsightResult
Erforderlich
Insights from the cluster analysis.
summary
InsightSummary
Erforderlich
Summary of the error cluster analysis.
sampleCount
integer
Erforderlich
Total number of samples analyzed.
uniqueSubclusterCount
integer
Erforderlich
Total number of unique subcluster labels.
uniqueClusterCount
integer
Erforderlich
Total number of unique clusters.
method
string
Erforderlich
Method used for clustering.
usage
ClusterTokenUsage
Erforderlich
Token usage for cluster analysis
inputTokenUsage
integer
Erforderlich
input token usage
outputTokenUsage
integer
Erforderlich
output token usage
totalTokenUsage
integer
Erforderlich
total token usage
clusters
InsightCluster[]
Erforderlich
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
Erforderlich
X-axis coordinate.
y
integer
Erforderlich
Y-axis coordinate.
size
integer
Erforderlich
Size of the chart element.
Anfordern
GET /insights/{id} HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json